org.apache.commons.math.stat.inference

## Class OneWayAnovaImpl.AnovaStats

- java.lang.Object
- - org.apache.commons.math.stat.inference.OneWayAnovaImpl.AnovaStats

Enclosing class:
  OneWayAnovaImpl

    private static class OneWayAnovaImpl.AnovaStats
    extends Object

Convenience class to pass dfbg,dfwg,F values around within AnovaImpl. No get/set methods provided.

### Field Summary

Fields
`private int` `dfbg` Degrees of freedom in numerator (between groups).
`private int` `dfwg` Degrees of freedom in denominator (within groups).
`private double` `F` Statistic.

### Constructor Summary

Constructors
`private` `OneWayAnovaImpl.AnovaStats(int dfbg, int dfwg, double F)` Constructor

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dfbg

    private int dfbg

Degrees of freedom in numerator (between groups).

#### dfwg

    private int dfwg

Degrees of freedom in denominator (within groups).

#### F

    private double F

Statistic.

### Constructor Detail

#### OneWayAnovaImpl.AnovaStats

    private OneWayAnovaImpl.AnovaStats(int dfbg,
                              int dfwg,
                              double F)

Constructor

Parameters:
  `dfbg` - degrees of freedom in numerator (between groups)
  `dfwg` - degrees of freedom in denominator (within groups)
  `F` - statistic